//
//  $Id: PrintCardPreferencesForm.h,v 1.1 2000/06/10 00:19:50 sergey Exp $
//

#ifndef _PrintCardPreferencesForm_h_
#define _PrintCardPreferencesForm_h_

#include "UI/Form.h"


class PrintCardPreferences;

//
// PrintCard preferneces dialog
//
//
class PrintCardPreferencesForm: public UI::Form
{
public:
    PrintCardPreferencesForm(Word formID, PrintCardPreferences& preferences);

// operations

    virtual void create();

// event handlers
protected:
    bool handleCtlSelectEvent(Word controlID, bool on);

// implementation
private:
    void loadPreferences();
    void savePreferences();

    int fieldIntValue(Word fieldID) const;
    void setFieldIntValue(Word fieldID, int value);
    int controlValue(Word controlID) const;
    void setControlValue(Word controlID, int value);

// data members
private:
    PrintCardPreferences& _preferences;
};

#endif  // _PrintCardPreferencesForm_h_
